ARG GRAFANA_VERSION=latest
FROM grafana/grafana:$GRAFANA_VERSION 

COPY ./grafana/defaults.ini /usr/share/grafana/conf/defaults.ini
COPY ./grafana/provisioning /etc/grafana/provisioning

# IF a zscaler CA certificate exists, copy it and update certs
# An internet connection is require for plugin validation
# Must manually spec root user in default grafana container
USER 0
ADD ./grafana/zscaler.cr[t] /usr/local/share/ca-certificates/zscaler.crt
RUN if [ -f ./grafana/zscaler.crt ]; then chmod 644 /usr/local/share/ca-certificates/zscaler.crt; fi
RUN update-ca-certificates

EXPOSE 3000